
# 
#  Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
#  All rights reserved.	
# 
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
# 
#  Redistributions of source code must retain the above copyright
#  notice, this list of conditions and the following disclaimer.
# 
#    Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 
#    Neither the name of Texas Instruments Incorporated nor the names of
#    its contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
# 
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
#  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 
# 

#
#
# Component Makefile template
#
#
# -----------------------------------------------------------------------------

# First invocation is normally from primary sources directory for the component.
# It is assumed the name of this directory doesn't match either of the standard
# target directory names (i.e. debug or release). So this first call then
# includes the target.mk file which only has one target -- the target directory.
# This is a phony target which causes a recursive call to this file every time
# but rooted in the target directory. Upon this second call the else statement
# is executed which performs the conventional make process.
ifeq (,$(filter debug release ,$(notdir $(CURDIR))))
include ../../../build/target.mk
else
include ../../../../../build/tools.mk

LIBNAME=cus2

# architecture independent settings
SOURCES=										\
	cus_phi0.c									\
	cus_phi1.c									\
	cus_phi10.c									\
	cus_phi11.c									\
	cus_phi12.c									\
	cus_phi13.c									\
	cus_phi14.c									\
	cus_phi15.c									\
	cus_phi2.c									\
	cus_phi3.c									\
	cus_phi4.c									\
	cus_phi5.c									\
	cus_phi6.c									\
	cus_phi7.c									\
	cus_phi8.c									\
	cus_phi9.c									\
	cus_sigma0_s.c								\
	cus_sigma10_s.c								\
	cus_sigma11_s.c								\
	cus_sigma12_s.c								\
	cus_sigma13_s.c								\
	cus_sigma14_s.c								\
	cus_sigma15_s.c								\
	cus_sigma16_s.c								\
	cus_sigma17_s.c								\
	cus_sigma18_s.c								\
	cus_sigma19_s.c								\
	cus_sigma1_s.c								\
	cus_sigma20_s.c								\
	cus_sigma21_s.c								\
	cus_sigma22_s.c								\
	cus_sigma23_s.c								\
	cus_sigma24_s.c								\
	cus_sigma25_s.c								\
	cus_sigma26_s.c								\
	cus_sigma27_s.c								\
	cus_sigma28_s.c								\
	cus_sigma29_s.c								\
	cus_sigma2_s.c								\
	cus_sigma30_s.c								\
	cus_sigma31_s.c								\
	cus_sigma32_s.c								\
	cus_sigma33_s.c								\
	cus_sigma34_s.c								\
	cus_sigma35_s.c								\
	cus_sigma36_s.c								\
	cus_sigma37_s.c								\
	cus_sigma38_s.c								\
	cus_sigma39_s.c								\
	cus_sigma3_s.c								\
	cus_sigma40_s.c								\
	cus_sigma41_s.c								\
	cus_sigma42_s.c								\
	cus_sigma43_s.c								\
	cus_sigma44_s.c								\
	cus_sigma45_s.c								\
	cus_sigma46_s.c								\
	cus_sigma47_s.c								\
	cus_sigma48_s.c								\
	cus_sigma49_s.c								\
	cus_sigma4_s.c								\
	cus_sigma50_s.c								\
	cus_sigma51_s.c								\
	cus_sigma52_s.c								\
	cus_sigma53_s.c								\
	cus_sigma54_s.c								\
	cus_sigma55_s.c								\
	cus_sigma56_s.c								\
	cus_sigma57_s.c								\
	cus_sigma58_s.c								\
	cus_sigma59_s.c								\
	cus_sigma5_s.c								\
	cus_sigma60_s.c								\
	cus_sigma61_s.c								\
	cus_sigma62_s.c								\
	cus_sigma63_s.c								\
	cus_sigma6_s.c								\
	cus_sigma7_s.c								\
	cus_sigma8_s.c								\
	cus_sigma9_s.c

# component specific includes
INCLUDES += -I../..

vpath %.c $(SRCDIR)

include ../../../../../build/rules.mk

endif
